<!-- Creado: Félix Ricardo Oliva Alonso, 12/12/2016. Se crea la vista para editar privilegios perfiles -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 20/12/2016.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 21/12/2016.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 04/01/2017.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 17/01/2017.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 18/01/2017.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 24/01/2017.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 30/01/2017.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 31/01/2017.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 14/02/2017.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 15/02/2017.  -->

<?php
	use App\Libraries\ejLib;
	$var = ejLib::getInstance();
	$soapclient = $var->getWs();
	$wsClave = $var->get_wsClave();

	$response = $soapclient->vCat_CentroSalud($wsClave);
	$RESPUESTAS = new SimpleXMLElement(utf8_encode($response));

	$response2 = $soapclient->vCat_PerfilesFE($wsClave);
	$RESPUESTAS2 = new SimpleXMLElement(utf8_encode($response2));

	$response3 = $soapclient->vCat_ModulosFE($wsClave);
	$RESPUESTAS3 = new SimpleXMLElement(utf8_encode($response3));
?>

<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/jqv/dist/jquery.validate.js"></script>
<script src="js/validar/root.js"></script>
<script src="js/notify.js"></script>

<style type="text/css">

/*	.red, .red2
	{color: white;font-weight: bold;background-color: rgb(87, 189, 66);padding: 0px 2px;opacity: 0.70;border-radius: 5px 5px 5px 5px;-moz-border-radius: 5px 5px 5px 5px;-webkit-border-radius: 5px 5px 5px 5px; margin-left: 1px;}
	.green,.green2
	{color: white;font-weight: bold;background-color: rgb(200, 20, 20);padding: 0px 2px;opacity: 0.70;border-radius: 5px 5px 5px 5px;-moz-border-radius: 5px 5px 5px 5px;-webkit-border-radius: 5px 5px 5px 5px; margin-left: 1px;}
*/
	.red, .red2, .red3, .green, .green2, .green3, .asignar
	{opacity: 0.9; margin: 2px 2px;}
	.red:hover, .red2:hover, .red3:hover, .green:hover,.green2:hover, .green3:hover, .asignar:hover
	{opacity: 1; }
</style>


<script>
	$(document).ready(function(){
		$( ".cerrar_form" ).click(function() {
			jqGetAjax("cerrar","tblMovimientos2", { });
		});

		var id_perfil = $('#id_perfil_ap4').val();
		var centro_sal = $('#id44').val();
		var status_priv = $('#mi_status').val();

		$('#id_perfil_ap5').val(id_perfil);
		$('#cen_sal_ap5').val(centro_sal);

//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
	// alert("Status: privilegios: "+status_priv);
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////

    var baja='<a href="#perfiles_tabla" class="asignar bajamod" ><img src="img/Activar.png" height="20px" width="20px" title="Remover módulo" style="cursor: pointer;"></a>';
		var asignar='<a href="#perfiles_tabla" class="asignar asigmod" ><img src="img/Baja.png" height="20px" width="20px" title="Asignar módulo" style="cursor: pointer;"></a>';

		var editable='<a href="#perfiles_tabla" class="editable red3" ><img src="img/NoEditable.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Editable"></a>';
    var noeditable='<a href="#perfiles_tabla" class="editable green3" ><img src="img/Editable.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Editable"></a>';

		var excluida='<a href="#perfiles_tabla" class="excluida red" ><img src="img/Excluida.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Excluido"></a>';
		var noexcluida='<a href="#perfiles_tabla" class="excluida green" ><img src="img/NoExcluida.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Excluido"></a>';

		var visible='<a href="#perfiles_tabla" class="visible red2"><img src="img/NoVisible.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Visible"></a>';
		var novisible='<a href="#perfiles_tabla" class="visible green2"><img src="img/Visible.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Visible"></a>';


		var status_baja_log = ($(this).find("Respuesta>baja_log").text());
		var status_editable = ($(this).find("Respuesta>editable").text());
		var status_excluida = ($(this).find("Respuesta>excluida").text());
		var status_visible = ($(this).find("Respuesta>visible").text());
		var status_asignada = ($(this).find("Respuesta>asignada").text());

		///////////////////////////////////////////////////////////
		// Listar
		///////////////////////////////////////////////////////////
		$("#btn_listar_adcon").click(function(){
			$.ajax({
				type: "POST",
				url: 'perfiles-AdministrarPerfilesDeUsuarioDeFE_getLstAccesosDePerfilFE',
				data: $("#admin_perfiles5").serialize(),
				success: function(data)
				{
					//alert('Respuesta: '+data);
					$('#perfiles_tabla tr').remove();
					xmlDoc = $.parseXML(data),
					$xml = $( xmlDoc );

					var tabla = '<table border="1" class="table table-bordered" >';
				    tabla += '<tr>';
				    tabla += '<th style="text-align: center;">N°</th><th>Módulo</th><th>Título</th><th>Descripción</th><th>URL</th><th style="text-align: center;">Opciones</th>';
				    tabla += '</tr>';
				    tr = '';

				    var existe = 0;
					var con = 1;
					$($xml).find("respuesta").each(function(){

					for (i = 1; i < 2; i++) {

						var id_modulo = ($(this).find("Respuesta>titulomodulo").text());
						var titulo = ($(this).find("Respuesta>titulo").text());
						var descripcion = ($(this).find("Respuesta>descripcion").text());
						var ubicacion = ($(this).find("Respuesta>ubicacion").text());
						var id_acceso = ($(this).find("Respuesta>id_acceso").text());

						var status_baja_log = ($(this).find("Respuesta>baja_log").text());
						var status_editable = ($(this).find("Respuesta>editable").text());
						var status_excluida = ($(this).find("Respuesta>excluida").text());
						var status_visible = ($(this).find("Respuesta>visible").text());
						var status_asignada = ($(this).find("Respuesta>asignada").text());

						//if (status_priv==0 || status_priv==' ' )
						//if (baja_log==0 || baja_log==' ' )
						if (status_asignada==0 || status_asignada==' ' )
						{
							tr += '<tr>';
							tr += '<td class="control2" style="text-align: center;">'+con+'</td><td>'+ id_modulo +'</td><td>' + titulo +'</td><td>' + descripcion +'</td><td>'+ ubicacion +'</td><td class="tdcontrol">'+asignar+'</td><td  class="id_acceso" style="display:none">'+id_acceso+'</td><td class="status_asignada" style="display:none">'+status_asignada+'</td><td class="status_baja_log"  style="display:none">'+status_baja_log+'</td><td class="status_excluida" style="display:none">'+status_excluida+'</td><td class="status_visible" style="display:none">'+status_visible+'</td><td class="status_editable" style="display:none">'+status_editable+'</td>';
							tr += '</tr>';
							con++;existe++;


						}

						//else if (status_priv==1)
						//else if (status_priv==1)
						else if (status_asignada==1)
						{
							if (status_visible==1 && status_excluida==1  )
							{
								tr += '<tr>';
								tr += '<td class="control2" style="text-align: center;">'+con+'</td><td>'+ id_modulo +'</td><td>' + titulo +'</td><td>' + descripcion +'</td><td>'+ ubicacion +'</td>';
								if (status_editable==1){tr += '<td class="tdcontrol">'+baja+excluida+visible+editable+'</td>';}else{tr += '<td class="tdcontrol">'+baja+excluida+visible+noeditable+'</td>';}
								tr += '<td class="id_acceso" style="display:none">'+id_acceso+'</td><td class="status_asignada" style="display:none">'+status_asignada+'</td><td class="status_baja_log"  style="display:none">'+status_baja_log+'</td><td class="status_excluida" style="display:none">'+status_excluida+'</td><td class="status_visible" style="display:none">'+status_visible+'</td><td class="status_editable" style="display:none">'+status_editable+'</td>';
								tr += '</tr>';
								con++;existe++;
							}

								else if (status_visible==0 && status_excluida==1 )
							{
							  tr += '<tr>';
								tr += '<td class="control2" style="text-align: center;">'+con+'</td><td>'+ id_modulo +'</td><td>' + titulo +'</td><td>' + descripcion +'</td><td>'+ ubicacion +'</td><td class="tdcontrol">'+baja+excluida+novisible+'</td><td class="id_acceso" style="display:none">'+id_acceso+'</td><td class="status_asignada" style="display:none">'+status_asignada+'</td><td class="status_baja_log"  style="display:none">'+status_baja_log+'</td><td class="status_excluida" style="display:none">'+status_excluida+'</td><td class="status_visible" style="display:none">'+status_visible+'</td><td class="status_editable" style="display:none">'+status_editable+'</td>';
								tr += '</tr>';
								con++;existe++;

							}

							if (status_visible==1 && status_excluida==0 )
							{

								tr += '<tr>';
								tr += '<td class="control2" style="text-align: center;">'+con+'</td><td>'+ id_modulo +'</td><td>' + titulo +'</td><td>' + descripcion +'</td><td>'+ ubicacion +'</td>';
								if (status_editable==1){tr += '<td class="tdcontrol">'+baja+noexcluida+visible+editable+'</td>';}else{tr += '<td class="tdcontrol">'+baja+noexcluida+visible+noeditable+'</td>';}
								tr += '<td class="id_acceso" style="display:none">'+id_acceso+'</td><td class="status_asignada" style="display:none">'+status_asignada+'</td><td class="status_baja_log"  style="display:none">'+status_baja_log+'</td><td class="status_excluida" style="display:none">'+status_excluida+'</td><td class="status_visible" style="display:none">'+status_visible+'</td><td class="status_editable" style="display:none">'+status_editable+'</td>';
								tr += '</tr>';
								con++;existe++;
							}

							if (status_visible==0 && status_excluida==0 )
							{
								tr += '<tr>';
								tr += '<td class="control2" style="text-align: center;">'+con+'</td><td>'+ id_modulo +'</td><td>' + titulo +'</td><td>' + descripcion +'</td><td>'+ ubicacion +'</td><td class="tdcontrol">'+baja+noexcluida+novisible+'</td><td class="id_acceso" style="display:none">'+id_acceso+'</td><td class="status_asignada" style="display:none">'+status_asignada+'</td><td class="status_baja_log"  style="display:none">'+status_baja_log+'</td><td class="status_excluida" style="display:none">'+status_excluida+'</td><td class="status_visible" style="display:none">'+status_visible+'</td><td class="status_editable" style="display:none">'+status_editable+'</td>';
								tr += '</tr>';
								con++;existe++;
							}

						}

					}
				});

				if (existe==0) { // Se removieron las llaves de mas
		            $.notify("Esta búsqueda no arrojo ningún resultado", "info");
		        }
				tabla += tr;
				tabla += '</table>';
				$('#perfiles_tabla').html( tabla );

			},

				error : function(xhr, status) {$.notify("Disculpe, existió un problema", "error");},
			});
					 return false;
		});

		///////////////////////////////////////////////////////////
		// Asignar
		///////////////////////////////////////////////////////////
		$(document).on("click", ".asignar", function(){
		  var currentRow = $(this).closest("tr");
			var id_perfil = $('#id_perfil_ap5').val();
			var centro_sal = $('#cen_sal_ap5').val();
			var id_acceso = currentRow.find(".id_acceso").html();
			var bajaTem = 1;

			//var asignarTem = currentRow.find(".asignar").html();
			var control = currentRow.find(".control2").html();
			// alert('Id Perfil> '+id_perfil+' CS> '+centro_sal+' Id Acceso> '+id_acceso+' Estado actual> '+asignarTem+' Control> '+control );
			var estado = currentRow.find(".bajamod").html();
			if(estado == null ) {
			//var estado = "Asignar ";
			//if(asignarTem.indexOf(estado) != -1)
			 	$.post({
				 	url:   'perfilesasignar',
				 	type:  'POST',
				 	data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso},

					success:  function (response) {
						// alert(response);
						xmlDoc = $.parseXML( response ),
			    	$xml = $( xmlDoc );
			    	$($xml).each(function() {

				    var error = ($(this).find("Respuesta>error").text());
				    var titulo = ($(this).find("Respuesta>titulo").text());
						var descripcion = ($(this).find("Respuesta>descripcion").text());

						if (error == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+visible+editable);
							$.notify("Módulo asignado correctamente", "success");
						}

						if(error==1) {
							$.notify(descripcion, "error");$.notify(titulo, "error");
						}
		      });
				},
				error : function(xhr, status) {$.notify("Disculpe, existió un problema", "error");}, });
			}
			else
			{
			 	$.post({
				 	url:   'perfilesbaja',
				 	type:  'POST',
				 	data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso,'baja':bajaTem},

					success:  function (response) {
						// alert(response);
						xmlDoc = $.parseXML( response ),
				   	$xml = $( xmlDoc );
				   	$($xml).each(function() {

						  var error = ($(this).find("Respuesta>error").text());
						  var titulo = ($(this).find("Respuesta>titulo").text());
							var descripcion = ($(this).find("Respuesta>descripcion").text());

							if (error == 0) {
								$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
								$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(asignar);
								$.notify("Módulo dado de baja correctamente", "success");
							}

							if(error==1) {
								$.notify(descripcion, "error");$.notify(titulo, "error");
							}
				    });
					},

					error : function(xhr, status) {
						$.notify("Disculpe, existió un problema", "error");
					},
				});
			}
		});

		///////////////////////////////////////////////////////////
		// Excluida
		///////////////////////////////////////////////////////////
		$(document).on("click", ".excluida", function() {
		  var currentRow = $(this).closest("tr");
		  var id_perfil = $('#id_perfil_ap5').val();
		  var centro_sal = $('#cen_sal_ap5').val();
		  var id_acceso = currentRow.find(".id_acceso").html();
		  var control = currentRow.find(".control2").html();

		  // Se hace el cambio del valor
			var estado = currentRow.find(".green").html();
			if(estado == null ){var excluidaTem = 0;}
			else{var excluidaTem = 1;}

			// No se hace el cambio, sólo se recupera el valor y se mantiene
			var estado2 = currentRow.find(".green2").html();
			if(estado2 == null ){var visibleTem = 1;}
			else{var visibleTem = 0;}

			// No se hace el cambio, sólo se recupera el valor y se mantiene
			var estado3 = currentRow.find(".green3").html();
			if(estado3 == null ){var editableTem = 1;}
			else{var editableTem = 0;}

			// alert('Excluida: '+excluidaTem+'Visible: '+visibleTem+'Editable: '+editableTem);

			$.post({
				url:   'perfilesexcluida',
				type:  'POST',
				data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso,'excluida':excluidaTem},
				success:  function (response) {
					// alert(response);
					var xml = response,
					xmlDoc = $.parseXML( xml ),
					$xml = $( xmlDoc ),
					$error = $xml.find( "error" ),
					$titulo = $xml.find( "titulo" ),
					$descripcion = $xml.find( "descripcion" );

					var baja='<a href="#perfiles_tabla" class="asignar bajamod"><img src="img/activar.png" height="20px" width="20px" title="Remover módulo" style="cursor: pointer;"></a>';
					var asignar='<a href="#perfiles_tabla" class="asignar asigmod" ><img src="img/baja.png" height="20px" width="20px" title="Asignar módulo" style="cursor: pointer;"></a>';

					var editable='<a href="#perfiles_tabla" class="editable red3"><img src="img/NoEditable.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Editable"></a>';
			    var noeditable='<a href="#perfiles_tabla" class="editable green3" ><img src="img/Editable.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Editable"></a>';

					var excluida='<a href="#perfiles_tabla" class="excluida red"><img src="img/Excluida.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Excluido"></a>';
					var noexcluida='<a href="#perfiles_tabla" class="excluida green"><img src="img/NoExcluida.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Excluido"></a>';

					var visible='<a href="#perfiles_tabla" class="visible red2"><img src="img/NoVisible.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Visible"></a>';
					var novisible='<a href="#perfiles_tabla" class="visible green2"><img src="img/Visible.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Visible"></a>';

					var editableHid='<a href="#perfiles_tabla" class="editable red3" style="display:none" >Editable </a>';       // 1
					var noeditableHid='<a href="#perfiles_tabla" class="editable green3" style="display:none" >Editable </a>';   // 0 VERDE

					if ($error.text() == "0" && excluidaTem == 0 && visibleTem == 0) {
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+novisible+noeditableHid);
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+novisible+editableHid);
						}
						$.notify("No Excluida", "success");
					}

					if ($error.text() == "0" && excluidaTem == 0 && visibleTem == 1) {
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+visible+noeditable);
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+visible+editable);
						}
						$.notify("No Excluida", "success");
					}

					if ($error.text() == "0" && excluidaTem == 1 && visibleTem == 0) {
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+novisible+noeditableHid);
						}
						else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+novisible+editableHid);
						}
						$.notify("Excluida", "success");
					}

					if ($error.text() == "0" && excluidaTem == 1 && visibleTem == 1) {
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+visible+noeditable);
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+visible+editable);
						}
						$.notify("Excluida", "success");
					}

					if($error.text() == "1")
						$.notify($titulo.text()+', '+$descripcion.text(), "error");
				},

				error : function(xhr, status) {
					$.notify("Disculpe, existió un problema", "error");
				},
			});
		});

		///////////////////////////////////////////////////////////
		// Visible
		///////////////////////////////////////////////////////////
		$(document).on("click", ".visible", function() {
		  var currentRow = $(this).closest("tr");
		  var id_perfil = $('#id_perfil_ap5').val();
		  var centro_sal = $('#cen_sal_ap5').val();
		  var id_acceso = currentRow.find(".id_acceso").html();
		  var visible = currentRow.find(".visible").html();
		  var control = currentRow.find(".control2").html();

			// Se hace el cambio del valor
			var estado2 = currentRow.find(".green2").html();
			if(estado2 == null ){var visibleTem = 0;}
			else{var visibleTem = 1;}

			// No se hace el cambio, sólo se recupera el valor y se mantiene
			var estado = currentRow.find(".green").html();
			if(estado == null ){var excluidaTem = 1;}
			else{var excluidaTem = 0;}

			// No se hace el cambio, sólo se recupera el valor y se mantiene
			var estado3 = currentRow.find(".green3").html();
			// alert(estado3);
			if(estado3 == null ){var editableTem = 1;}
			else{var editableTem = 0;}

			// alert('Excluida: '+excluidaTem+'Visible: '+visibleTem+'Editable: '+editableTem);

			$.post({
				url:   'perfilesvisible',
				type:  'POST',
				data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso,'visible':visibleTem},
				success:  function (response) {
					// alert(response);
					var xml = response,
					xmlDoc = $.parseXML( xml ),
					$xml = $( xmlDoc ),
					$error = $xml.find( "error" ),
					$titulo = $xml.find( "titulo" ),
					$descripcion = $xml.find( "descripcion" );

					var baja='<a href="#perfiles_tabla" class="asignar bajamod" ><img src="img/Activar.png" height="20px" width="20px" title="Remover módulo" style="cursor: pointer;"></a>';
					var asignar='<a href="#perfiles_tabla" class="asignar asigmod" ><img src="img/Baja.png" height="20px" width="20px" title="Asignar módulo" style="cursor: pointer;"></a>';

					var editable='<a href="#perfiles_tabla" class="editable red3" ><img src="img/NoEditable.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Editable"></a>';
			    var noeditable='<a href="#perfiles_tabla" class="editable green3" ><img src="img/Editable.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Editable"></a>';

					var excluida='<a href="#perfiles_tabla" class="excluida red" ><img src="img/Excluida.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Excluido"></a>';
					var noexcluida='<a href="#perfiles_tabla" class="excluida green" ><img src="img/NoExcluida.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Excluido"></a>';

					var visible='<a href="#perfiles_tabla" class="visible red2"><img src="img/NoVisible.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Visible"></a>';
					var novisible='<a href="#perfiles_tabla" class="visible green2"><img src="img/Visible.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Visible"></a>';

					var editableHid='<a href="#perfiles_tabla" class="editable red3" style="display:none" >Editable </a>';     // 1
					var noeditableHid='<a href="#perfiles_tabla" class="editable green3" style="display:none" >Editable </a>'; // 0 VERDE

					if ($error.text() == "0" && excluidaTem == 0 && visibleTem == 0) {
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+novisible+noeditableHid);
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+novisible+editableHid);
						}
						$.notify("No Visible", "success");
					}

					if ($error.text() == "0" && excluidaTem == 0 && visibleTem == 1) {
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+visible+noeditable);
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+visible+editable);
						}
						$.notify("No Visible", "success");
					}

					if ($error.text() == "0" && excluidaTem == 1 && visibleTem == 0) {
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+novisible+noeditableHid);
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+novisible+editableHid);
						}
						$.notify("Visible", "success");
					}

					if ($error.text() == "0" && excluidaTem == 1 && visibleTem == 1) {
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+visible+noeditable);
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+visible+editable);
						}
						$.notify("Visible", "success");
					}

					if($error.text() == "1")
						$.notify($titulo.text()+', '+$descripcion.text(), "error");
				},

				error : function(xhr, status) {
					$.notify("Disculpe, existió un problema", "error");
				},
			});
		});

		///////////////////////////////////////////////////////////
		// Editable
		///////////////////////////////////////////////////////////
		$(document).on("click", ".editable", function(){
			var currentRow = $(this).closest("tr");
			var id_perfil = $('#id_perfil_ap5').val();
			var centro_sal = $('#cen_sal_ap5').val();
			var id_acceso = currentRow.find(".id_acceso").html();
			var visible = currentRow.find(".visible").html();
			var control = currentRow.find(".control2").html();

			// Se hace el cambio del valor
			var estado3 = currentRow.find(".green3").html();
			// alert(estado3);
			if(estado3 == null ){var editableTem = 0;}
			else{var editableTem = 1;}

			// No se hace el cambio, sólo se recupera el valor y se mantiene
			var estado2 = currentRow.find(".green2").html();
			if(estado2 == null ){var visibleTem = 1;}
			else{var visibleTem = 0;}

			// No se hace el cambio, sólo se recupera el valor y se mantiene
			var estado = currentRow.find(".green").html();
			if(estado == null ){var excluidaTem = 1;}
			else{var excluidaTem = 0;}


			// alert('Excluida: '+excluidaTem+'Visible: '+visibleTem+'Editable: '+editableTem);
			$.post({
				url:   'perfileseditable',
				type:  'POST',
				data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso,'editable':editableTem},
				success:  function (response) {
					// alert(response);
					var xml = response,
							xmlDoc = $.parseXML( xml ),
							$xml = $( xmlDoc ),
							$error = $xml.find( "error" ),
							$titulo = $xml.find( "titulo" ),
							$descripcion = $xml.find( "descripcion" );

					var baja='<a href="#perfiles_tabla" class="asignar bajamod" ><img src="img/Activar.png" height="20px" width="20px" title="Remover módulo" style="cursor: pointer;"></a>';
					var asignar='<a href="#perfiles_tabla" class="asignar asigmod" ><img src="img/Baja.png" height="20px" width="20px" title="Asignar módulo" style="cursor: pointer;"></a>';

					var editable='<a href="#perfiles_tabla" class="editable red3" ><img src="img/NoEditable.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Editable"></a>';
			    var noeditable='<a href="#perfiles_tabla" class="editable green3" ><img src="img/Editable.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Editable"></a>';

					var excluida='<a href="#perfiles_tabla" class="excluida red" ><img src="img/Excluida.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Excluido"></a>';
					var noexcluida='<a href="#perfiles_tabla" class="excluida green" ><img src="img/NoExcluida.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Excluido"></a>';

					var visible='<a href="#perfiles_tabla" class="visible red2"><img src="img/NoVisible.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como NO Visible"></a>';
					var novisible='<a href="#perfiles_tabla" class="visible green2"><img src="img/Visible.png" height="20px" width="20px" style="cursor: pointer;" title="Establecer módulo como Visible"></a>';

					var editableHid='<a href="#perfiles_tabla" class="editable red3" style="display:none" >Editable </a>';       // 1
					var noeditableHid='<a href="#perfiles_tabla" class="editable green3" style="display:none" >Editable </a>';   // 0 VERDE

					if ($error.text() == "0" && excluidaTem == 0 && visibleTem == 0) {
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+novisible+noeditableHid);
							$.notify("Editable", "success");
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+novisible+editableHid);
							$.notify("No Editable", "success");
						}
					}

					if ($error.text() == "0" && excluidaTem == 0 && visibleTem == 1) {
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+visible+noeditable);
							$.notify("No Editable", "success");
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+noexcluida+visible+editable);
							$.notify("Editable", "success");
						}
					}

					if ($error.text() == "0" && excluidaTem == 1 && visibleTem == 0){
						if (editableTem == 0){
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+novisible+noeditableHid);
							$.notify("No Editable", "success");
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+novisible+editableHid);
							$.notify("Editable", "success");
						}
					}

					if ($error.text() == "0" && excluidaTem == 1 && visibleTem == 1){
						if (editableTem == 0) {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+visible+noeditable);
							$.notify("No Editable", "success");
						} else {
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html("");
							$( "tr" ).find( ".tdcontrol" ).eq( control-1 ).html(baja+excluida+visible+editable);
							$.notify("Editable", "success");
						}
					}

					if($error.text() == "1")
						$.notify($titulo.text()+', '+$descripcion.text(), "error");
				},
				error : function(xhr, status) {$.notify("Disculpe, existió un problema", "error");},
			});
		});
	});
</script>

{{-- <form id="admin_perfiles5" method="post" action="{{url('perfiles-AdministrarPerfilesDeUsuarioDeFE_getLstAccesosDePerfilFE')}}" > --}}
<form id="admin_perfiles5" >
	<input type="text" name="id_perfil_ap5" id="id_perfil_ap5" style="display: none">
	<input type="text" name="cen_sal_ap5" id="cen_sal_ap5" style="display: none">

		<input type="hidden" name="_token" value="{{csrf_token()}}">
	<div class="row">
		<div class="titulo_fondo">
			<div class="titulo_pagina2">EDITAR PRIVILEGIOS DEL PERFIL</div>
	  <a href="#h_logo"><img src="Img/close.png" height="20"  class="cerrar_form" /></a>
		</div>
	</div>
		<br>

	<div class="row">
		<div class=" form-group col-md-3 ">
			<div class="input-group input-group-sm col-md-12">
				<span class="input-group-addon" id="sizing-addon3"  >Título</span>
				<input type="text" class="form-control" id="titulo_ap5" name="titulo_ap5" >
			</div>
		</div>

		<div class=" form-group col-md-3 ">
			<div class="input-group input-group-sm col-md-12">
				<span class="input-group-addon" id="sizing-addon3">Módulo</span>
				<select id="modulo_ap5" name="modulo_ap5" class="form-control">
					<option disabled selected>Elija una opción</option>
					<option value="">TODOS</option>
						@foreach($RESPUESTAS3->respuesta as $mcat)
							<option value="{!! $mcat->id_modulo !!}">{!! utf8_decode($mcat->titulo) !!}</option>

						@endforeach
				</select>
			</div>
		</div>

		<div class=" form-group col-md-3 ">
			<div class="input-group input-group-sm col-md-12">
				<span class="input-group-addon" id="sizing-addon3">Opción</span>
				<select id="opcion_ap5" name="opcion_ap5" class="form-control ">
					<option disabled selected>Elija una opción</option>
					<option value="">TODOS</option>
					<option value="Asignada">ASIGNADA</option>
					<option value="Baja">BAJA</option>
					<option value="Editable">EDITABLE</option>
					<option value="Excluida">EXCLUIDA</option>
					<option value="Visible">VISIBLE</option>
				</select>
			</div>
		</div>

		<div class="input-group-sm form-group col-md-1">
			<button class="col-md-offset-5" type="submit"  name="btn_listar_adcon" id="btn_listar_adcon">Listar</button>
		</div>
	</div>
</form>


	<div id="perfiles_tabla">
		<table border="1" class="table table-bordered" >
			<tr><th class="col-sm-1">N°</th><th class="col-sm-2">Módulo</th><th class="col-sm-2">Título</th>
			<th class="col-sm-3">Descripción</th><th class="col-sm-2">URL</th><th class="col-sm-2">Opciones</th></tr>
		</table>
	</div>
	<script type="text/javascript">
		$(document).ready(function(){
			document.getElementById('btn_listar_adcon').click();
		});
	</script>
